
Figure - Bug #118241
【IOVDEV-30655】【内部】【VC1】【0100】【台架】【EE环境】【副屏】底层任务栏与主界面重叠
2023-05-25 20:58 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-25

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.C101��【副屏版本号】：01.00.0100.c103

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-28

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230525 22：27

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.底层任务栏无脑操作

【实际结果】

1.底层任务栏与主界面重叠

【期望结果】

1.底层任务栏与主界面不会重叠，各个界面功能正常

【备注】：

【当前开机次数】：129

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-25 20:59 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118241

#2 - 2023-05-25 21:46 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-05-26 16:58 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis
根据录像时间 20:27 分往前推发现发现了 20:26:29 时间下的日志，合理怀疑是由以下错误导致的。

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation: java.lang.NullPointerException: Attempt to write to field 'boolean

com.android.server.wm.WindowContainer.mLaunchTaskBehind' on a null object reference

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation:     at com.android.server.wm.RecentsAnimation.startRecentsActivity(RecentsAnimation.java:234)

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation:     at

com.android.server.wm.ActivityTaskManagerService.startRecentsActivity(ActivityTaskManagerService.java:1730)

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation:     at android.app.IActivityTaskManager$Stub.onTransact(IActivityTaskManager.java:1275)

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation:     at com.android.server.wm.ActivityTaskManagerService.onTransact(ActivityTaskManagerService.java:5072)

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation:     at android.os.Binder.execTransactInternal(Binder.java:1179)

05-25 20:26:29.867  1000  1516 10765 E RecentsAnimation:     at android.os.Binder.execTransact(Binder.java:1143)

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager: ActivityTaskManager onTransact aborts UID:10074 PID:2490

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager: java.lang.NullPointerException: Attempt to write to field 'boolean

com.android.server.wm.WindowContainer.mLaunchTaskBehind' on a null object reference

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager:     at com.android.server.wm.RecentsAnimation.startRecentsActivity(RecentsAnimation.java:234)

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager:     at

com.android.server.wm.ActivityTaskManagerService.startRecentsActivity(ActivityTaskManagerService.java:1730)

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager:     at android.app.IActivityTaskManager$Stub.onTransact(IActivityTaskManager.java:1275)

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager:     at

com.android.server.wm.ActivityTaskManagerService.onTransact(ActivityTaskManagerService.java:5072)

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager:     at android.os.Binder.execTransactInternal(Binder.java:1179)

05-25 20:26:29.868  1000  1516 10765 W ActivityTaskManager:     at android.os.Binder.execTransact(Binder.java:1143)

■ Next action

根据异常修复错误，然后做正确现象和错误现象的对比测试，确认无误后提交入库

#4 - 2023-05-27 11:35 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

根据错误日志修复问题，并且在未获取到目标对象时，取消掉动画，保证之后的recent动画执行不受影响

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/203045

#5 - 2023-05-27 16:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203045 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fix the abnormal interface display caused by the crashTC-RID: 0301-0205302IssueID: TS-R-BUG-118241Change-Id:

If5833e8ddf6cc1f6b0872ce0d3485d134d98a0d6

#6 - 2023-05-27 16:47 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100
- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-28

- Root cause set to 编码问题

#7 - 2023-06-02 13:37 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在106版本验证通过

#8 - 2023-06-02 13:37 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

video_1685018338.mp4 2.87 MB 2023-05-25 CDTS_Test 吴诗雨
